
[data] = xlsread('eeg_linealized_3-R3_ip.xlsx');

eeg = data(1:16384, 3);
%eeg_512 = data(1800:2312, 3)

length(eeg);
nfft = 512;
fs = 128;
window = hann(nfft);
noverlap = nfft * 0.5;

figure
subplot(2,1,1)
spectrogram(eeg, window, noverlap, nfft, fs, 'yaxis');
colormap jet;
xlabel('Time (sec)');
ylabel('Frequency (Hz)');

view(45,-65)
