
[data] = xlsread('eeg_linealized_3-R3_ip.xlsx');

eeg = data(1:16384, 3)

fs = 128
t = 0:1/fs:(16384-1)/fs;

figure
plot(t,eeg);

emd(eeg);

figure
subplot(2,1,1)
[imf,residual,info] = emd(eeg,'Interpolation','pchip');
hht(imf,fs)

subplot(2,1,2)
imf = emd(eeg,'MaxNumIMF',10,'Display',1);

hht(imf,fs,'FrequencyLimits',[0 64]);



