
[data] = xlsread('eeg_linealized_3-R3_ip.xlsx');

eeg = data(1:16384, 3);
eeg_512 = data(1800:2312, 3);

length(eeg_512);

fs = 128;

y = fft(eeg_512);

n = length(eeg_512);    % number of samples
f = (0:n-1)*(fs/n);     % frequency range
power = abs(y).^2/n;    % power of the DFT

plot(f(1:floor(n/2)),10*log10(power(1:floor(n/2))));
xlabel('Frequency');
ylabel('Power');

